## wxWindowDestroyEvent

This event is sent from the wxWindow destructor wxWindow::~wxWindow() when a window is destroyed.

When a class derived from wxWindow is destroyed its destructor will have already run by the time this event is sent. Therefore this event will not usually be received at all.

To receive this event wxEvtHandler::Connect must be used (using an event table macro will not work). Since it is received after the destructor has run, an object should not handle its own wxWindowDestroyEvent, but it can be used to get notification of the destruction of another window.

Derived from

wxCommandEvent
wxEvent
wxObject

Include files

<wx/event.h>

Event table macros

It is not possible to receive this event using an event table macro.

See also

Event handling overview, wxWindowCreateEvent

Members

wxWindowDestroyEvent::wxWindowDestroyEvent

### wxWindowDestroyEvent::wxWindowDestroyEvent

wxWindowDestroyEvent(wxWindow* win = NULL)

Constructor.